document: modulemd
version: 2
data:
    name: perl-DBD-MySQL
    stream: '4.050'
    summary: A MySQL interface for Perl
    description: >
        DBD::mysql is the Perl5 Database Interface driver for the MySQL
        database. In other words: DBD::mysql is an interface between the Perl
        programming language and the MySQL programming API that comes with the
        MySQL relational database management system.
    license:
        module: [ MIT ]
    dependencies:
        - buildrequires:
              perl-DBI: []
              platform: [f34]
              perl: [-5.28]
          requires:
              perl-DBI: []
              platform: [f34]
              perl: [-5.28]
    references:
        community: https://metacpan.org/release/DBD-mysql
    profiles:
        common:
            description: DBD-mysql distribution
            rpms:
                - perl-DBD-MySQL
    api:
        rpms:
            - perl-DBD-MySQL
    components:
        rpms:
            perl-Capture-Tiny:
                rationale: A build dependency.
                buildonly: true
                ref: master
                buildorder: 0
            perl-Mock-Config:
                rationale: A build dependency.
                buildonly: true
                ref: master
                buildorder: 0
            perl-Devel-CheckLib:
                rationale: A build dependency.
                buildonly: true
                ref: master
                buildorder: 1
            perl-DBD-MySQL:
                rationale: The API.
                ref: master
                buildorder: 2
